Changeset 29022 for lang

Show
Ignore:
Timestamp:
01/26/09 03:46:46 (4 years ago)
Author:
lieutar
Message:

added new features.

Location:
lang/javascript/dollar-mod.js/dolmod/trunk
Files:
13 added
16 modified

Legend:

Unmodified
Added
Removed
  • lang/javascript/dollar-mod.js/dolmod/trunk

    • Property svn:ignore set to
      sandbox

  • lang/javascript/dollar-mod.js/dolmod/trunk/Makefile

    r27649 r29022  
    2727src/modify.check: 
    2828        @scripts/check-modification $@ src '*.js' 
    29          
    3029 
    3130install: 
  • lang/javascript/dollar-mod.js/dolmod/trunk/scripts/ar.sh

    r27649 r29022  
    55 
    66DIR=`cat $ARNAME` 
     7 
     8if test -z $DIR; then 
     9    echo $ARNAME is empty file >&2 
     10    exit 1; 
     11fi 
     12 
    713PROJECT=`echo $DIR|sed -e 's/-[^\/]*$//'` 
    814AR=$DIR.ar.js; 
     
    2329        |grep -v '/my/'\ 
    2430        |grep -v 'dollar-mod.js$'\ 
     31        |grep -v '\.m4\.js'\ 
     32        |grep -v '\.inc\.js'\ 
     33        |grep -v '\.s\.js'\ 
     34        |grep -v '\.t\.js'\ 
    2535        >ar.srcs 
    26     cat ar.srcs |xargs cat 
     36    cat ar.srcs |xargs cat|dolmod drop-comments 
    2737    echo "\$mod.endArchive('$PROJECT');" 
    2838} 
     
    3747mkdir $DIR; 
    3848mkdir $DIR/lib 
     49mkdir $DIR/m4lib 
    3950$ARCMD > $DIR/lib/$AR; 
    4051cp DEPENDS $DIR 
     
    4354fi 
    4455 
     56for f in `find lib -type f -name '*.js' |grep -v '/m4lib/'\ 
     57                |grep -e '\.m4\.inc\.js'`;do 
     58    dir=`dirname $f` 
     59    if ! test -d $DIR/m4$dir ; then mkdir -p $DIR/m4$dir; fi 
     60    echo $DIR/m4$f 
     61    cp $f $DIR/m4$f 
     62done 
     63 
    4564find  $DIR -type d -name '.svn'|xargs rm -rf 
    4665find  $DIR -type d -name '.git'|xargs rm -rf 
    4766tar -cvzf $ZIP $DIR 
    4867 
    49  
    5068rm -fr $DIR 
  • lang/javascript/dollar-mod.js/dolmod/trunk/scripts/dolmod

    r27334 r29022  
    3737 
    3838 
     39###  get-version <version-from | module-name> 
     40### 
     41### 
     42    get-version) 
     43        versionfrom=$1 
     44        if ! test -f $versionfrom ;then 
     45            versionfrom=`echo $versionfrom\ 
     46                                |sed -e 's/\./\//g'\ 
     47                                |sed -e 's/$/.js/'\ 
     48                                |sed -e 's/^/lib\//'` 
     49        fi 
     50        if ! test -f $versionfrom; then 
     51            exit 1 
     52        fi 
     53        echo VERSION FROM ... $versionfrom >&2 
     54        cat $versionfrom \ 
     55                |grep -e '[     ]*VERSION:'\ 
     56                | sed -e 's/[^0-9\.]//g'\ 
     57                |head -n 1 
     58        ;; 
     59 
    3960 
    4061###   libs <project-name> [<archive-name> ... ] 
     
    5677            ARCHIVE_STORE=$ARCHIVE_STORE \ 
    5778            perl $PL/makefile.pl $* 
     79        ;; 
     80 
     81###   comake 
     82### 
     83### 
     84    comake) 
     85        cat $TMPL/coMake.mk >coMake.mk 
    5886        ;; 
    5987 
     
    114142        ;; 
    115143 
     144###   testindex 
     145###       Outputs source of the tests/index.html. 
     146### 
     147    testindex) 
     148        PROJECT=$1 
     149        cat $TMPL/testindex.html |sed -e 's/@PROJECT@/'$PROJECT'/g' 
     150    ;; 
     151 
     152###   sampleindex 
     153###      Outputs source of the samples/index.html 
     154### 
     155    sampleindex) 
     156        PROJECT=$1 
     157        cat $TMPL/sampleindex.html |sed -e 's/@PROJECT@/'$PROJECT'/g' 
     158    ;; 
     159 
     160###   sampleindex 
     161###      Outputs source of the samples/index.html 
     162### 
     163    apiindex) 
     164        PROJECT=$1 
     165        cat $TMPL/apiindex.html |sed -e 's/@PROJECT@/'$PROJECT'/g' 
     166    ;; 
     167 
     168 
     169 
     170###   licence  
     171###     create LICENCE file. 
     172### 
     173    licence) 
     174        AUTHOR=$1 
     175        cat $TMPL/licence/$type\ 
     176            | sed -e 's/@YEAR@/'``'/g'\ 
     177            | sed -e 's/@AUTHOR@/'$AUTHOR'/g' 
     178        ;; 
     179 
     180###   webcss 
     181### 
     182### 
     183    webcss) 
     184        cat $TMPL/web/css/web.css  
     185    ;; 
     186 
     187 
     188 
     189###   webindex 
     190### 
     191### 
     192    webindex) 
     193        PROJECT=$1 
     194        echo PROJECT ... $PROJECT >&2 
     195        VERSION=`${dolmod} get-version $PROJECT.Meta` 
     196        echo VERSION ... $VERSION >&2 
     197        M4OPTS="-P -I." 
     198        if test -d samples ; then 
     199            M4OPTS="${M4OPTS} -DSAMPLES" 
     200        fi 
     201        if test -d tests ; then 
     202            M4OPTS="${M4OPTS} -DTESTS" 
     203        fi 
     204        if test -d doc ; then 
     205            M4OPTS="${M4OPTS} -DAPIDOCS" 
     206        fi 
     207        if test -f LICENCE ; then 
     208            M4OPTS="${M4OPTS} -DLICENCE" 
     209        fi 
     210        if test -f doc/$PROJECT.Meta.xml ;then 
     211            M4OPTS="${M4OPTS} -DREADME" 
     212        fi 
     213        echo M4OPTS ... $M4OPTS >&2 
     214        cat $TMPL/webindex.html \ 
     215            |sed -e 's/@PROJECT@/'$PROJECT'/g'\ 
     216            |sed -e 's/@VERSION@/'$VERSION'/g'\ 
     217            |m4 $M4OPTS 
     218    ;; 
     219 
     220###   unittest 
     221###     Outputs source template of an unit test. 
     222### 
     223    unittest) 
     224        TESTTARGET=$1 
     225        LOCAL=`echo $TESTTARGET|sed -e 's/\([^.]*\.\)*\([^.]*\)$/\2/'` 
     226        cat $TMPL/unit.t.js \ 
     227            |sed -e 's/@TESTTARGET@/'$TESTTARGET'/g'\ 
     228            |sed -e 's/@LOCAL@/'$LOCAL'/g' 
     229        ;; 
     230###  drop-comments 
     231###     removes comments from javascript source. 
     232### 
     233    drop-comments) 
     234        file=$1; 
     235        if test -z $file ;then 
     236            file=/dev/stdin; 
     237        fi 
     238        cat $file | perl $PL/drop-comments.pl 
     239        ;; 
     240 
    116241    *) 
    117242        $dolmod help >&2 
  • lang/javascript/dollar-mod.js/dolmod/trunk/scripts/perl/libs.pl

    r27334 r29022  
    5050    push @QUEUE, $_; 
    5151    push @DEPENDS, $_; 
     52    $DEP{$_} = 1; 
    5253  } 
    5354  close $fh; 
  • lang/javascript/dollar-mod.js/dolmod/trunk/src/ReservedAction.js

    r27649 r29022  
    2626      var mod = depends[i]; 
    2727      if( 'string' !== typeof mod ){ 
    28         throw new Error('illegal module specification : ' + mod); 
     28        throw new Error('illegal module specification : "' + mod + '" at ' + 
     29                        this.__mod); 
    2930      } 
    3031      this.__modules[ mod ] = i; 
     
    7879    var proc = this.__proc; 
    7980    var args = this.__args; 
    80  
    8181    db('run', this.__mod, this); 
    82  
    83     GLOBAL.setTimeout(function(){ 
    84       proc.apply( null, args ); 
    85     }, 0); 
     82    GLOBAL.setTimeout(function(){ proc.apply( null, args ); }, 0); 
    8683  }; 
    8784 
  • lang/javascript/dollar-mod.js/dolmod/trunk/src/dollar-mod/init.js

    r27649 r29022  
    1818  //>>>,//<<< 
    1919 
     20  GLOBAL.$mod = theModuleDriver.gen$mod(); 
     21 
    2022  theModuleDriver.lock(); 
     23 
    2124  registerOnloadAction( function(){ 
    2225    theModuleDriver.unlock(); 
     26    var doc        = GLOBAL.document; 
     27    var $mod       = GLOBAL.$mod; 
     28    var pathes     = []; 
     29    var pathconfig = null; 
     30    var main       = null; 
     31 
     32    var links      = doc.getElementsByTagName('link'); 
     33    for(var i=0, l=links.length; i<l; i++){ 
     34      var link  = links[i]; 
     35      var rel   = link.rel || ''; 
     36      var match = null; 
     37 
     38      match = rel.match(/^\$mod\.path\.(.*)/); 
     39      if(match){ 
     40        $mod.path(match[1], link.href); 
     41        continue; 
     42      } 
     43 
     44      if(rel == '$mod.main'){ 
     45        main = link.href; 
     46        continue; 
     47      } 
     48    } 
     49 
     50    var metas   = doc.getElementsByTagName('meta'); 
     51    for(var i=0,l=metas.length; i<l; i++){ 
     52      var meta = metas[i]; 
     53      if(meta.name == '$mod.pathconfig'){ 
     54        pathconfig = meta.content; 
     55      } 
     56    } 
     57 
     58    var appmain = main ? function(){ $mod.load(main); } : function(){}; 
     59    var runarg  = pathconfig ? [pathconfig, appmain] : [appmain]; 
     60    $mod.withModule.apply( $mod, runarg ); 
     61 
    2362  }); 
    24  
    25   GLOBAL.$mod = theModuleDriver.gen$mod(); 
    2663 
    2764  //>>>) 
  • lang/javascript/dollar-mod.js/dolmod/trunk/src/dollar-mod/interface.js

    r27649 r29022  
    8686*/ 
    8787 
    88 $mod.log   = log; 
    89 $mod.warn  = warn; 
    90 $mod.error = error; 
    91 $mod.info  = info; 
     88(function(){ 
     89  var gen = function(p){ 
     90    return function(){ 
     91      if(!GLOBAL.console) return; 
     92      GLOBAL.console[p].apply(GLOBAL.console, arguments); 
     93    } 
     94  } 
     95  for(var i=0,l=FIREBUGMETHODS.length;i<l;i++){ 
     96    var meth = FIREBUGMETHODS[i]; 
     97    $mod[meth] = gen(meth); 
     98  } 
     99 
     100})(); 
    92101 
    93102/* 
     
    200209$mod.meta       =  function(name){ return self.getMeta(name); }; 
    201210 
     211$mod.get = function(name){ 
     212  var mod = self.getModuleStore().get(name); 
     213  if(mod) return mod.entity(); 
     214  return null; 
     215} 
     216 
    202217/* 
    203218 
     
    209224 
    210225*/ 
     226 
    211227 
    212228 
     
    219235 
    220236 
     237 
    221238/* 
    222239 
     
    255272 
    256273$mod.endArchive = function(name){ self.endArchive(name);}; 
     274 
    257275 
    258276 
  • lang/javascript/dollar-mod.js/dolmod/trunk/src/dollar-mod/util.js

    r27649 r29022  
    22/// UTILITIES 
    33 
     4var FIREBUGMETHODS = ['log','warn', 'error', 'info', 'assert','debug','time', 
     5                      'timeEnd', 'dir', 'dirxml', 'trace']; 
    46 
    57//m4_ifdef(//<<<CLI//>>>,//<<< 
     
    1820//>>>) 
    1921 
    20 var log, warn, error, info; 
     22var log, warn, error, info, assert; 
    2123 
    2224(function(){ 
     
    2729    } 
    2830  } 
    29   log   = gen('log'); 
    30   warn  = gen('warn'); 
    31   error = gen('error'); 
    32   info  = gen('info'); 
     31  log    = gen('log'); 
     32  warn   = gen('warn'); 
     33  error  = gen('error'); 
     34  info   = gen('info'); 
     35  assert = gen('assert'); 
    3336})(); 
    3437 
  • lang/javascript/dollar-mod.js/dolmod/trunk/src/dollar-mod/util/console/CLI.js

    r27649 r29022  
    3333    })(f); 
    3434  } 
    35 }).apply(GLOBAL.console, ['warn', 'error', 'info']); 
     35}).apply(GLOBAL.console,FIREBUGMETHODS); 
  • lang/javascript/dollar-mod.js/dolmod/trunk/src/dollar-mod/util/console/Pseudo.js

    r27649 r29022  
    1919    })(f); 
    2020  } 
    21 })(GLOBAL.console, ['log','warn', 'error', 'info']); 
     21})(GLOBAL.console, FIREBUGMETHODS); 
    2222 
    23  
     23(function(){ 
     24  var TIMERS = {}; 
     25  GLOBAL.console.tiem = function(name){ 
     26    TIMERS[name] = (new Date).getTime(); 
     27  } 
     28  GLOBAL.console.timeEnd = function(name){ 
     29    if(!(name in TIMERS)) return; 
     30    GLOBAL.console.info(name + ':' + ((new Date).getTime() - TIMERS[name]) + 
     31                        'ms'); 
     32    delete TIMERS[name]; 
     33  } 
     34})(); 
  • lang/javascript/dollar-mod.js/dolmod/trunk/src/pod/version.pod

    r27649 r29022  
    1 m4_define(M_VERSTR,//<<<0.051//>>>); 
     1m4_define(M_VERSTR,//<<<0.07//>>>); 
    22 
    33*/ 
  • lang/javascript/dollar-mod.js/dolmod/trunk/templates/Makefile.in

    r27499 r29022  
    1111all: archive install 
    1212 
    13 archive: ar.name 
     13js: m4.opts 
     14        @for f in `find lib -type f|grep -e '\.m4\.js$$'`; do \ 
     15          dst=`echo $$f|sed -e 's/\.m4\.js$$/.js/'`;\ 
     16          echo "cnverting...";\ 
     17          echo "  src ... $$f";\ 
     18          echo "  dst ... $$dst";\ 
     19          env m4 `cat m4.opts` -Ilib -P $$f > $$dst || exit 1;\ 
     20          echo "done";\ 
     21        done 
     22        @rm -f m4tmp* m4.log 
     23 
     24m4.opts: 
     25        echo lib `find lib -type d -name m4lib`\ 
     26                |sed -e 's/ / -I/g'\ 
     27                |sed -e 's/^/-I/'\ 
     28                > $@ 
     29 
     30 
     31archive: ar.name js 
    1432        rm -f *.tar.gz 
    15         $(mod) ar $< 
     33        $(mod) ar ar.name 
    1634 
    1735install: 
     
    2139 
    2240ar.name: $(VERSION_FROM) 
    23         cat $< |grep -e '[      ]*VERSION:'\ 
    24                 | sed -e 's/VERSION[^0-9]*//' \ 
    25                 | sed -e 's/[^0-9]*$$//'\ 
    26                 | sed -e 's/^[  ]*/$(PROJECT)-/'\ 
    27                 | head -n 1 >$@ 
     41        $(mod) get-version $(VERSION_FROM)|sed -e 's/^/'$(PROJECT)'-/' > $@ 
    2842 
    2943update: DEPENDS 
     44        rm -f m4.opts 
    3045        $(mod) update   $(PROJECT) `cat $<` 
    3146        $(mod) makefile $(PROJECT) `cat $<` 
     
    3449        rm -fr *.tar.gz 
    3550 
    36 #### 
    37  
    38  
    39 test: 
    40         rm -f  tests/index.html 
    41         make unittests 
    42         make $(TESTS)/index.html 
    43  
    44 runtest: 
     51### 
     52runfile: 
    4553        @PWD=`pwd`;\ 
    46         FILE=$$(PWD)/$(TESTS)/index.html;\ 
     54        FILE=$$(PWD)/$(FILE);\ 
    4755        URIPREFIX=file://;\ 
    4856        if test $(CYGWIN) = yes ; then\ 
     
    5664        done 
    5765 
    58 tests/index.html: 
    59         echo '<!doctype html>' >>$@ 
    60         echo '<html>' >>$@ 
    61         echo '<head>'>>$@ 
    62         echo '<meta name="%24mod.DEBUG" content="false">' >>$@ 
    63         echo '<title>$(PROJECT)</title>' >>$@ 
    64         echo -n '<script type="text/javascript"' >>$@ 
    65         echo -n ' src="../lib/dollar-mod.js">'>>$@ 
    66         echo '</script>'>>$@ 
    67         echo '<script type="text/javascript">' >>$@ 
    68         echo >>$@ 
    69         echo '$$mod.withModule("site.pathconfig", function(){'>>$@ 
    70         echo '  $$mod.withModule("KaeL.Test.runtests", function(runtests){' >>$@ 
    71         echo '    runtests(' >>$@ 
     66 
     67#### 
     68runsample: samples/index.html 
     69        @make runfile FILE=samples/index.html BROWSERS='$(BROWSERS)' 
     70 
     71sample: samples\ 
     72        drop-sample-harness.js\ 
     73        samples/index.html\ 
     74        samples/harness.js 
     75 
     76samples: 
     77        mkdir $@ 
     78 
     79samples/harness.js:     samples 
     80        echo -n '$$mod.withModule("KaeL.Test.runsamples",' >$@ 
     81        echo 'function(runsamples){runsamples(' >>$@ 
     82        find samples -name '*.s.js' \ 
     83          | sed -e 's/^samples\//.\//;s/^/"/;s/$$/",/;$${s/,$$//}' >>$@ 
     84        echo ')});' >>$@ 
     85 
     86samples/index.html:     samples 
     87        $(mod) sampleindex $(PROJECT) >$@ 
     88 
     89 
     90drop-sample-harness.js: 
     91        rm  -f samples/harness.js 
     92 
     93 
     94#### 
     95 
     96 
     97test:   drop-test-harness.js\ 
     98        $(TESTS)/index.html\ 
     99        unittests $(TESTS)/harness.js 
     100 
     101drop-test-harness.js: 
     102        rm -f  $(TESTS)/harness.js 
     103 
     104runtest: 
     105        @make runfile FILE=$(TESTS)/index.html BROWSERS='$(BROWSERS)' 
     106 
     107$(TESTS)/harness.js: 
     108        echo  -n '$$mod.withModule("KaeL.Test.runtests",' > $@ 
     109        echo 'function(runtests){ runtests(' >>$@ 
    72110        find tests -name \*.t.js \ 
    73111          | sed -e 's/^tests\//.\//;s/^/"/;s/$$/",/;$${s/,$$//}' >>$@ 
    74         echo ');});});' >>$@ 
    75         echo '</script>' >>$@ 
    76         echo '</head>' >>$@ 
    77         echo '<body></body>' >>$@ 
    78         echo '</html>' >>$@ 
     112        echo ')});'>>$@ 
     113 
     114$(TESTS)/index.html: 
     115        $(mod) testindex $(PROJECT) >$@ 
    79116 
    80117unittests: TEST.ignore 
    81         @MODS=`                                                    \ 
    82           BASE=$(LIB)/\`echo $(PROJECT)|sed -e 's/\./\//g'\`; \ 
    83           find  $$BASE -name '*.js'                                \ 
     118        MODS=`                                                     \ 
     119          BASE=$(LIB)/\`echo $(PROJECT)|sed -e 's/\./\//g'\`;      \ 
     120          find  $$BASE -name "*.js"                                \ 
     121                |grep -v '\.m4\.'                                  \ 
    84122                |sed -e 's/^lib\///; s/\.js$$//;s/\//./g'          \ 
    85123          `;                                                       \ 
     
    96134TESTTTARGET= 
    97135unittest: 
    98         @T=$(TESTS)/$(TESTTARGET).t.js;\ 
    99         LOCAL=`echo $(TESTTARGET)|sed -e 's/\([^.]*\.\)*\([^.]*\)$$/\2/'`;\ 
    100         echo 'creating '$$T'...';\ 
    101         echo '$$mod.withModule( "KaeL.Test.MORE",'   >$$T;\ 
    102         echo '                 "$(TESTTARGET)",'    >>$$T;\ 
    103         echo '                function(TEST,'       >>$$T;\ 
    104         echo '                         '$$LOCAL'){' >>$$T;\ 
    105         echo '  with(TEST){'                        >>$$T;\ 
    106         echo '    plan({tests: null});'             >>$$T;\ 
    107         echo '    begin(function(end){'             >>$$T;\ 
    108         echo '    '                                 >>$$T;\ 
    109         echo '    end();'                           >>$$T;\ 
    110         echo '    })'                               >>$$T;\ 
    111         echo '  }'                                  >>$$T;\ 
    112         echo '});'                                  >>$$T 
     136        dolmod unittest $(TESTTARGET) >$(TESTS)/$(TESTTARGET).t.js; 
     137 
     138#################### 
     139 
     140runweb: 
     141        make runfile FILE=web/index.html 
     142 
     143web: 
     144        mkdir web 
     145        mkdir web/css 
     146        mkdir web/lib 
     147        mkdir web/pub 
     148        make update-web 
     149 
     150update-web: web archive install apidoc 
     151        dolmod webindex $(PROJECT) >web/index.html 
     152        dolmod webcss >web/css/web.css 
     153        for f in samples tests doc; do\ 
     154          if test -d $$f ;then \ 
     155            find $$f -type f|grep -v '/\.svn'|xargs tar -cO|tar -C web -xv;\ 
     156          fi;\ 
     157        done 
     158        cd web; $(mod) libs - $(PROJECT) 
     159        cd web; $(mod) pathconfig 
     160 
     161 
     162apidoc: 
     163        rm -fr doc 
     164        if ! test -d doc; then mkdir doc; fi 
     165        $(mod) apiindex $(PROJECT) >doc/index.html 
     166        for f in \ 
     167          `find lib -type f -name '*.js'|xargs grep -sle '=head1 NAME'`; do\ 
     168          name=`echo $$f\ 
     169                |sed -e 's/\(\.[a-zA-Z0-9]*\)*$$//'\ 
     170                |sed -e 's/lib\///'\ 
     171                |sed -e 's/\//./g'`;\ 
     172          pod2xml $$f > doc/$$name.xml;\ 
     173        done 
     174        make doc/harness.js 
     175 
     176doc/harness.js: samples 
     177        echo -n '$$mod.withModule("KaeL.Test.rundoc",' >$@ 
     178        echo 'function(runsamples){runsamples(' >>$@ 
     179        find doc -name '*.xml' \ 
     180          | sed -e 's/^doc\//.\//;s/^/"/;s/$$/",/;$${s/,$$//}' >>$@ 
     181        echo ')});' >>$@ 
  • lang/javascript/dollar-mod.js/dolmod/trunk/templates/coMake.mk

    r27499 r29022  
    11WORKDIR= 
    2 RESOURCES=rsc ext 
     2RESOURCES=rsc ext scripts css templates 
    33 
    44all: 
     
    66archive: 
    77        for f in $(RESOURCES);do \ 
    8           if test -f $$f ; then \ 
     8          if test -x $$f ; then \ 
    99            cp -a $$f $$WORKDIR; \ 
    1010          fi; \ 
     
    1313dist: 
    1414        for f in $(RESOURCES);do \ 
    15           if test -f $$f ; then \ 
     15          if test -x $$f ; then \ 
    1616            cp -a $$f $WORKDIR; \ 
    1717          fi; \ 
  • lang/javascript/dollar-mod.js/dolmod/trunk/tests/dollar-mod/ModuleDriver.t.js

    r27649 r29022  
    4646      }); 
    4747    }, function(){ 
    48       return GLOB.fuga; 
     48      return !!GLOB.fuga; 
    4949    }, function(){ 
    5050      eq(GLOB.fuga, 'hoge.fuga'); 
     
    9292 
    9393    },function(){ 
    94       return GLOB.ev; 
     94      return !!GLOB.ev 
    9595    }, function(){ 
    9696       
  • lang/javascript/dollar-mod.js/dolmod/trunk/tests/index.html

    r27649 r29022  
    33<html lang=ja> 
    44<head> 
    5 <meta http-equiv="Content-Type"        content="text/html;charset=EUC-JP"> 
    6 <meta name="$mod.DEBUG" content="false"> 
     5<meta http-equiv="Content-Type" content="text/html;charset=UTF-8"> 
     6<meta name="$mod.pathconfig"    content="site.pathconfig"> 
    77<title>dollar-mod.js</title> 
    88<script type="text/javascript" src="../lib/dollar-mod.js"></script> 
    9 <script type="text/javascript"> 
    10 //$mod.logTime('start'); 
    11 $mod.withModule('site.pathconfig',function(){ 
    12 //$mod.logTime('pathconfig'); 
    13   $mod.withModule('KaeL.Test.runtests', function(runtests){ 
    14 //$mod.logTime('runTests'); 
    15    runtests( 
    16  
    17 'dollar-mod/Module.t.js', 
    18 'dollar-mod/PathResolver.t.js', 
    19 'dollar-mod/ModuleStore.t.js', 
    20 'dollar-mod/ModuleLoader.t.js', 
    21 'dollar-mod/ModuleDriver.t.js' 
    22  
    23            ); 
    24   }); 
    25 }); 
    26 </script> 
     9<link rel="$mod.path.testlib"  href="."> 
     10<link rel="$mod.main"          href="harness.js"> 
    2711</head> 
    2812<body>